package com.jz.dmp.modules.service.impl;

import com.jz.dmp.modules.dao.DmpTableFieldSchemaDao;
import com.jz.dmp.modules.model.DmpTableFieldSchema;
import com.jz.dmp.modules.service.DmpTableFieldSchemaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 项目表字段类型(DmpTableFieldSchema)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:55
 */
@Service("dmpTableFieldSchemaService")
public class DmpTableFieldSchemaServiceImpl implements DmpTableFieldSchemaService {
    @Autowired
    private DmpTableFieldSchemaDao dmpTableFieldSchemaDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public DmpTableFieldSchema queryById(Integer id) {
        return this.dmpTableFieldSchemaDao.queryById(id);
    }

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    @Override
    public List<DmpTableFieldSchema> queryAllByLimit(int offset, int limit) {
        return this.dmpTableFieldSchemaDao.queryAllByLimit(offset, limit);
    }

    /**
     * 新增数据
     *
     * @param dmpTableFieldSchema 实例对象
     * @return 实例对象
     */
    @Override
    public DmpTableFieldSchema insert(DmpTableFieldSchema dmpTableFieldSchema) {
        this.dmpTableFieldSchemaDao.insert(dmpTableFieldSchema);
        return dmpTableFieldSchema;
    }

    /**
     * 修改数据
     *
     * @param dmpTableFieldSchema 实例对象
     * @return 实例对象
     */
    @Override
    public DmpTableFieldSchema update(DmpTableFieldSchema dmpTableFieldSchema) {
        this.dmpTableFieldSchemaDao.update(dmpTableFieldSchema);
        return this.queryById(dmpTableFieldSchema.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.dmpTableFieldSchemaDao.deleteById(id) > 0;
    }
}